#include <QtGui/QApplication>
#include <QFile>
#include "theappmain.h"

void logger (QtMsgType type, const char *msg)
{
    fprintf(stdout, "Debug: %s\n", msg);
    QFile file ("debug_out.txt");
    if (!file.open(QIODevice::Append | QIODevice::Text))
         return;
    QTextStream out(&file);
    out << msg << endl;
    file.close();
}


int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QCoreApplication::setOrganizationName("LiNC");
    QCoreApplication::setOrganizationDomain("defcon.no");
    QCoreApplication::setApplicationName("Huset Personalkort");

    QSettings settings;
    bool debugging = settings.value("debug", false ).toBool();
    if ( debugging ) {
        qInstallMsgHandler(logger);
        QFile file ("debug_out.txt");
        QFileInfo fi ( file );
        QMessageBox::information(0, "Debugging active", "Debugging output is being written to file\n  " + fi.absoluteFilePath() );
    }
    else { qInstallMsgHandler(0); }

    TheAppMain w;
    w.show();
    return a.exec();
}
