#include "settingsdialog.h"
#include "ui_settingsdialog.h"

SettingsDialog::SettingsDialog(QWidget *parent) :
    QDialog(parent),
    m_ui(new Ui::SettingsDialog)
{
    m_ui->setupUi(this);

    QSettings settings;
    QString sqlhostname   = settings.value("sqlhostname",   "").toString();
    QString sqlusername   = settings.value("sqlusername",   "").toString();
    QString sqlpassword   = settings.value("sqlpassword",   "").toString();
    QString sqldatabase   = settings.value("sqldatabase",   "").toString();
    int     sqlportnumber = settings.value("sqlportnumber", 0 ).toInt();
    QString sqlportnumber_string;
    sqlportnumber_string.setNum(sqlportnumber);

    bool debugging = settings.value("debug", false ).toBool();

    m_ui->edit_hostname->setText(sqlhostname);
    m_ui->edit_username->setText(sqlusername);
    m_ui->edit_password->setText(sqlpassword);
    m_ui->edit_database->setText(sqldatabase);
    m_ui->edit_portnumber->setText(sqlportnumber_string);
    m_ui->check_debug->setChecked( debugging );

}

SettingsDialog::~SettingsDialog()
{
    delete m_ui;
}

void SettingsDialog::changeEvent(QEvent *e)
{
    switch (e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
QString SettingsDialog::gethostname() {
    return m_ui->edit_hostname->text();
}

QString SettingsDialog::getusername() {
    return m_ui->edit_username->text();
}

QString SettingsDialog::getpassword() {
    return m_ui->edit_password->text();
}

QString SettingsDialog::getdatabase() {
    return m_ui->edit_database->text();
}

int     SettingsDialog::getportnumber() {
    return m_ui->edit_portnumber->text().toInt();
}

bool SettingsDialog::getdebugstate() {
    return m_ui->check_debug->isChecked();
}

void SettingsDialog::on_buttonBox_accepted()
{

}
